#ifndef VY_ASSETC_ASSETSETTINGS_H
#define VY_ASSETC_ASSETSETTINGS_H

#include "runtime/runtime.h"
#include <stdbool.h>

typedef struct {
    unsigned int package;
    uint32_t processing_flags;
    bool reprocess_on_dependency_change;
} vy_asset_settings;


vy_result vyParseAssetSettings(const char *text,
                               size_t length,
                               const char *file_path,
                               vy_asset_settings *settings);

vy_result vyLoadAssetSettings(const char *asset_path, vy_asset_settings *settings);

#endif
